Bug 1699740 (CVE-2019-0228) - CVE-2019-0228 pdfbox: XML External Entity (XXE) attacks via a crafted XFDF
Summary: CVE-2019-0228 pdfbox: XML External Entity (XXE) attacks via a crafted XFDF
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-0228
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1699742
Blocks: 1699741
TreeView+ depends on / blocked
 
Reported: 2019-04-15 06:49 UTC by Dhananjay Arunesh
Modified: 2019-10-24 06:51 UTC (History)
13 users (show)

Fixed In Version: PDFBox 2.0.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-24 06:51:14 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-04-15 06:49:28 UTC
Apache PDFBox 2.0.14 does not properly initialize the XML parser, which allows context-dependent attackers to conduct XML External Entity (XXE) attacks via a crafted XFDF.

Reference:
https://www.openwall.com/lists/oss-security/2019/04/12/1

Comment 1 Dhananjay Arunesh 2019-04-15 06:52:39 UTC
Created pdfbox tracking bugs for this issue:

Affects: fedora-all [bug 1699742]

Comment 2 Joshua Padman 2019-05-16 13:43:46 UTC
This vulnerability is out of security support scope for the following products:
 * Red Hat JBoss Fuse Service Works 6
 * Red Hat JBoss Fuse 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 4 Product Security DevOps Team 2019-10-24 06:51:14 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-0228


Note You need to log in before you can comment on or make changes to this bug.